Loading...
Searching...
No Matches
Opm::SatCurveMultiplexerParams< TraitsT > Class Template Reference

Specification of the material parameters for the saturation function multiplexer. More...

`#include <SatCurveMultiplexerParams.hpp>`

Inheritance diagram for Opm::SatCurveMultiplexerParams< TraitsT >:

## Public Types

enum | { numPhases = 2 }
using | Traits = TraitsT
using | Scalar = typename TraitsT::Scalar

## Public Member Functions

| SatCurveMultiplexerParams ()
| The multiplexer constructor.
| SatCurveMultiplexerParams (const SatCurveMultiplexerParams &other)
SatCurveMultiplexerParams & | operator= (const SatCurveMultiplexerParams &other)
void | setApproach (SatCurveMultiplexerApproach newApproach)
SatCurveMultiplexerApproach | approach () const
template<SatCurveMultiplexerApproach approachV>
std::enable_if< approachV==SatCurveMultiplexerApproach::LET, LETParams >::type & | getRealParams ()
template<SatCurveMultiplexerApproach approachV>
std::enable_if< approachV==SatCurveMultiplexerApproach::LET, constLETParams >::type & | getRealParams () const
template<SatCurveMultiplexerApproach approachV>
std::enable_if< approachV==SatCurveMultiplexerApproach::PiecewiseLinear, PLParams >::type & | getRealParams ()
template<SatCurveMultiplexerApproach approachV>
std::enable_if< approachV==SatCurveMultiplexerApproach::PiecewiseLinear, constPLParams >::type & | getRealParams () const
template<class Serializer>
void | serializeOp (Serializer &serializer)
Scalar | SnTrapped (bool maximumTrapping) const
Scalar | SnStranded (Scalar sg, Scalar krg) const
Scalar | SwTrapped () const
Public Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE void | finalize ()
| Mark the object as finalized.

## Additional Inherited Members

Protected Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE | EnsureFinalized ()
| The default constructor.
OPM_HOST_DEVICE void | check () const

## Detailed Description

template<class TraitsT>
class Opm::SatCurveMultiplexerParams< TraitsT >

Specification of the material parameters for the saturation function multiplexer.

See also
  SatCurveMultiplexer

The documentation for this class was generated from the following file:

- opm/material/fluidmatrixinteractions/SatCurveMultiplexerParams.hpp